chuck (1.5.5.5-1) unstable; urgency=medium

  * Update man page source debian/chuck.sgml
  * Tweak debian/rules
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Sep 2025 16:01:54 +0100

chuck (1.5.5.2-1) unstable; urgency=medium

  * New upstream version
  * Update scripts

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 16 Aug 2025 20:40:17 +0100

chuck (1.5.5.0-1) unstable; urgency=medium

  * New upstream version
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Mar 2025 12:03:41 +0000

chuck (1.5.4.4-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 06 Jan 2025 16:57:58 +0000

chuck (1.5.4.3-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 04 Dec 2024 20:25:34 +0000

chuck (1.5.4.1-1) unstable; urgency=medium

  * Remove now-unnecessary upstream tarball debris exclusion in debian/copyright
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 Nov 2024 11:05:53 +0000

chuck (1.5.3.2-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 30 Oct 2024 15:25:57 +0000

chuck (1.5.2.5-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Sep 2024 13:50:55 +0100

chuck (1.5.2.4-1) unstable; urgency=medium

  * New upstream release
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Apr 2024 10:09:15 +0100

chuck (1.5.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 28 Mar 2024 00:38:43 +0000

chuck (1.5.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Jan 2024 20:33:30 +0000

chuck (1.5.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Jan 2024 12:43:09 +0000

chuck (1.5.1.8-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Oct 2023 14:23:42 +0000

chuck (1.5.1.6-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 14 Oct 2023 10:26:51 +0100

chuck (1.5.1.3-1) unstable; urgency=medium

  * New upstream release
  * Remove quilt patches, which have all been merged upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 10 Sep 2023 14:01:50 +0100

chuck (1.5.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 24 Aug 2023 14:53:05 +0100

chuck (1.5.1.1-1) unstable; urgency=medium

  * New upstream release
  * Forward port patches (make test fix patch has been upstreamed)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 23 Aug 2023 09:48:00 +0100

chuck (1.5.1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove CHUCK_DEBUG=y compilation option that was causing a build failure.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Aug 2023 22:42:18 +0100

chuck (1.5.0.8-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 09 Aug 2023 00:12:22 +0100

chuck (1.5.0.7-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1033991)
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Default LD to CXX as dh_auto_build doesn't pass LD.

  [ Barak A. Pearlmutter ]
  * New upstream release
  * Merge neglected cross-build fix
  * Tweak debian/rules
  * Patch issues in upstream test target

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Jul 2023 15:08:31 +0100

chuck (1.5.0.3-1) unstable; urgency=medium

  * New upstream release
  * Update debian/rules to upstream makefile changes

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 21 Jun 2023 08:50:38 +0100

chuck (1.5.0.2-1) unstable; urgency=medium

  * New upstream version
  * Update some documentation file paths

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 20 Jun 2023 13:13:44 +0100

chuck (1.5.0.0-1) unstable; urgency=medium

  * New upstream version
  * Remove upstreamed quilt patches
  * Update list of upstream docs
  * Generate a single executable that supports multiple sound systems
  * Spelling patch
  * Remove stray Apple resource files in upstream repo copied into examples
  * Hard link identical sound files in examples

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 29 May 2023 13:04:17 +0100

chuck (1.4.2.0-1) unstable; urgency=medium

  * Patch to #include <limits.h> instead of <linux/limits.h>
  * Update standards version to 4.6.2, no changes needed.
  * New upstream version
  * Forward port quilt patches
  * Patch to allow parallel recursive make

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 23 Jan 2023 22:06:26 +0000

chuck (1.4.1.1-4) unstable; urgency=medium

  * Patch termios harder for extra portability

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 23 May 2022 13:52:50 +0100

chuck (1.4.1.1-3) unstable; urgency=medium

  * data package should be Multi-Arch: foreign
  * Patch dropping termio.h for termios.h

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 23 May 2022 11:09:25 +0100

chuck (1.4.1.1-2) unstable; urgency=medium

  * Patch to remove MAXPATHLEN, for Hurd
  * More spelling fixes

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 21 May 2022 10:50:06 +0100

chuck (1.4.1.1-1) unstable; urgency=medium

  * New upstream version
  * Forward port patches (all but spelling errors have been upstreamed)
  * Fail to fail if examples not found (as in CI test-build-any)
  * Add metadata with pointer to upstream development repo
  * Patch to remove "register" storage qualifier, which is not in ISO C++17
  * Enable warning by setting CHUCK_STRICT
  * Patch more spelling errors

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 19 May 2022 11:31:41 +0100

chuck (1.3.5.2-1) unstable; urgency=medium

  [ Christoph Biedl ]
  * New upstream version 1.3.5.2. (Closes: #775341, #904829, #562809)
    - Support for oss was dropped upstream
    - Support for pulseaudio added
  * Modernize packaging (closes: #999295)
  * Ship examples and data in a separate package

  [ Barak A. Pearlmutter ]
  * patch for pointer<0 comparison build failure (closes: #984012)
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set debhelper-compat version in Build-Depends.
  * Bump policy
  * Add self as uploader (seems safe since last ¬NMU was in 2007.)
  * Allow rootless build
  * Add pointer to packaging repo
  * Pass CPPFLAGS to build in CFLAGS; see upstream makefile

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 18 May 2022 16:47:04 +0100

chuck (1.2.0.8.dfsg-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH level to 10. (Closes: #817390)
  * debian/control:
      - Added a Homepage field.
      - Bumped Standards-Version to 3.9.8.
  * debian/watch:
      - Bumped to version 4.
      - Fixed to ignore the 'dfsg' suffix.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 22 Dec 2016 19:41:01 -0200

chuck (1.2.0.8.dfsg-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Link with -lpthread to fix FTBFS with binutils-gold (Closes: #554073).

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 May 2011 23:59:57 +0200

chuck (1.2.0.8.dfsg-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to build with gcc-4.4/newer eglibc": apply patch from Ubuntu
    (thanks to Stefan Potyra); closes: #549223.

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 Dec 2009 18:29:53 +0100

chuck (1.2.0.8.dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix broken runtime on 64-bit architectures, thanks to patches by
    Samuel Thibault (Closes: #398148).
  * Set urgency to “medium” as this bug affects testing.
  * Fix FTBFS with GCC 4.4, thanks to Martin Michlmayr, by adding a
    <cstdio> include in src/util_string.h (Closes: #504962).
  * Add jackd to Suggests as suggested (ah!) by James Westby
    (Closes: #487982).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 19 Jul 2009 16:44:04 +0200

chuck (1.2.0.8.dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #421211).

 -- Luk Claes <luk@debian.org>  Sun, 16 Mar 2008 15:09:48 +0000

chuck (1.2.0.8.dfsg-1) unstable; urgency=low

  * New upstream release
  * Removed src/u{til,lib},opsc.{cpp,h} to comply with dfsg
  * Added chuck.alsa (closes: #413321)

 -- Paul Brossier <piem@debian.org>  Sat, 21 Apr 2007 13:27:39 +0200

chuck (1.2.0.7.dfsg-1) unstable; urgency=low

  * New upstream release, update debian/rules accordingly.
  * Removal src/util_opsc.{cpp,h} due to non DFSG compliant license.
  * Upload to debian (closes: #267626)

 -- Paul Brossier <piem@debian.org>  Thu,  5 Oct 2006 18:44:33 +0200

chuck (1.2.0.6-1) unstable; urgency=low

  * New upstream release
  * Bump to new standards-version.
  * Pass FLAGS to make to compile using defaults gcc options
  * Fix installation using DESTDIR and PREFIX

 -- Paul Brossier <piem@debian.org>  Mon, 18 Sep 2006 14:00:42 +0200

chuck (1.2.0.4-1) unstable; urgency=low

  * New upstream release. Upload to unstable (closes: #267626)

 -- Paul Brossier <piem@debian.org>  Thu, 29 Dec 2005 20:43:32 +0100

chuck (1.2.0.3-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@debian.org>  Wed,  2 Nov 2005 09:13:00 +0000

chuck (1.2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@debian.org>  Fri, 30 Sep 2005 06:25:20 +0100

chuck (1.2.0.0-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@debian.org>  Fri, 30 Sep 2005 05:13:04 +0100

chuck (1.1.5.6d-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@debian.org>  Tue,  2 Aug 2005 07:36:22 +0100

chuck (1.1.5.6-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@altern.org>  Mon, 25 Apr 2005 14:24:18 +0100

chuck (1.1.5.4-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@altern.org>  Fri, 26 Nov 2004 05:13:01 +0000

chuck (1.1.4.5-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@altern.org>  Mon, 23 Aug 2004 18:32:15 +0200

chuck (1.1.4.3-1) unstable; urgency=low

  * Initial Release.
  * Added missing manpage and watch file.

 -- Paul Brossier <piem@altern.org>  Tue, 27 Jul 2004 00:48:01 +0200
